/* Background */

body {
  background-image: url("/assets/images/background.JPG");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  background-attachment: fixed;
  overflow: hidden; /* Prevents scrolling */
}

/* Cursor Seagull */

html, body {
  cursor: none; /* Hides the default cursor */
}

.cursor-gif-container {
  position: absolute;
  top: 0px;
  left: 0px;
  width: 80px; /* Adjust the size of your GIF */
  height: 80px;
  pointer-events: none; /* Allows clicks to pass through the GIF */
  z-index: 9999;
}

#follow-gif {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

/* Homepage Logo */

.logo{
  position: fixed;
  top: 35%;
  right: 50%;
  transform: translate(50%, -50%);
}

/* Social Media Links*/

.socials-grid {
  position: fixed;
  top: 20px;
  right: 20px;
  z-index: 9000;

  display: grid;
  grid-template-columns: 50px;
  grid-template-rows: repeat(4, auto);
  gap: 20px;
}

/* Page Links */

.pages-grid {
  position: fixed;
  top: 2.5%;
  left: 50%;
  transform: translateX(-50%);
  z-index: 9000;

  display: grid;
  grid-template-columns: repeat(3, auto);
  gap: 50px;

  font-family: 'Inknut Antiqua';
  font-size: 3rem;
  color:black;
}


/* Footer Grid */

.footer-grid {

  position: fixed;
  bottom: 0px;
  right: 0px;
  z-index: 9000;

  display: grid;
  grid-template-columns: 1fr 125px;
  place-items: end end;
  justify-items: end;
  margin-right: -3%;
}

.footer {
  font-family: 'Inknut Antiqua';
  font-size: 1rem;
  color: rgb(129, 129, 129)
}

.skeleton {
  scale: 0.5;
  margin-bottom: -20px;
}

/* Fonts */

  /* inknut-antiqua-700 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Inknut Antiqua';
  font-style: normal;
  font-weight: 700;
  src: url('/assets/fonts/inknut-antiqua-v16-latin-700.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
  /* rubik-burned-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Rubik Burned';
  font-style: normal;
  font-weight: 400;
  src: url('../fonts/rubik-burned-v1-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}